Subject: Re: DNSEXT Minutes @ IETF-63

From: Dean Anderson <[email-masked]>
Date: Wed, 7 Sep 2005 15:36:13 -0400 (EDT)

Perhaps you could comply with IETF rules and fully disclose the IPR
encumbrances. We cannot take your assurances that there are none.

		--Dean

On Tue, 6 Sep 2005 [email-masked] wrote:

> 
> Dean, I take legal advice from my lawyers, not from email lists. You were not
> the first and won't be the last to advise getting quality legal opinions. Don't
> flatter yourself that you are singled out for special treatment.  If you
> would like to join my legal team, then I can put you in touch with my lawyers.
> Your comments wrt -our- associates is not germaine to the points raised by the
> DNSEXT chair.
> 
> --bill
> 
> 
> On Tue, Sep 06, 2005 at 06:23:07PM -0400, Dean Anderson wrote:
> > Advice from the President of the League for Programming Freedom, an
> > organization founded by Richard Stallman to fight software patents and
> > user interface copyrights, an organization that has organized successful
> > US Supreme Court briefs and has an extensive background and involvement in
> > Patent, Copyright, and Trademark Law, is better than your usual arm chair
> > advice.  However, I did advise you to consult a lawyer before doing
> > anything that could put you at risk.
> > 
> > But the nature of your message suggests that there is something
> > contradictory to my advice.  What attorney has given you advice
> > contradictory to mine?
> > 
> > And more to the point, what attorney told you that patent issues are
> > somehow only covering a specific implementation?
> > 
> > It is particularly odd that you attack my credibility as "arm chair
> > advice", yet you expect us to accept your assurances.  I can't accept your
> > assurances. 
> > 
> > I note that on other topics involve law and networks, your associates have
> > made misrepresentations about legal issues. In some cases that I have
> > personally been involved with, they have misled their attorneys about the
> > relevant facts, resulting in incorrect advice based on mis-information.  
> > And resulting in unnecessary legal conflict. When the mis-information was
> > corrected and true facts established, their attorneys acknowledged that
> > our view of the law was right, specifically, that they would comply with
> > the law and they would cease and desist.
> > 
> > Credibility is established by history of correct statements and correct
> > analysis.  Lack of credibility is similarly established by a history of
> > incorrect statements and association with incorrect statements. My
> > credibility is pretty strong, having been tested over time and vindicated.  
> > Your credibility has been undermined by the repeated failures of your
> > associates to make correct statements on other legal topics.  So, I am not
> > very convinced when you tell us we don't have to worry about some legal
> > issue.  I am particularly concerned about patent issues, with which I am
> > pretty well versed.
> > 
> > While your lawyer may have told you something, it has been the case
> > previously that your associates misled their own lawyers.  Garbage in,
> > garbage out. 
> > 
> > 
> > 		--Dean		
> > 
> > 
> > On Mon, 5 Sep 2005 [email-masked] wrote:
> > 
> > >  thanks Dean.   I'll file this under "arm-chair legal advice"....
> > >  the folks who do this for a living have given good advice to me
> > >  on the implementation we are building.  
> > > 
> > >  The best advice one can give, unless its from a competent attorney
> > >  who deals in IPR issues, is to get such advice.  Advice from a 
> > >  mailing list is ... less than credible.
> > > 
> > > --bill
> > > 
> > > 
> > > On Sun, Sep 04, 2005 at 06:17:45PM -0400, Dean Anderson wrote:
> > > > On Thu, 1 Sep 2005, Ólafur Guðmundsson wrote:
> > > > > Both documents have had an IPR claim filed against them. The patent
> > > > > this has been issued in one country at the moment (Israel) but filed
> > > > > in some other countries as well, just not approved (yet). There is a
> > > > > license available that is royalty free, but does have some terms. So
> > > > > implementors either don't know what to do or are ignoring it.
> > > > 
> > > > Factor GATT requirements into that. Many countries have agreed [under
> > > > GATT] to accept patents issued by other countries, so those patents are
> > > > [or will be] enforceable in other GATT countries. [yes, GATT is truely
> > > > evil, but that's another story]. You should assume that all patents
> > > > propogate to all "civilized"  countries.
> > > > 
> > > > > Donald Eastlake presents some drafts about cryptographic algorithms.
> > > > > 
> > > > > First something about draft-ietf-dnsext-ecc-key-07:
> > > > > There have been some questions in the past about patents, but
> > > > > as far as is known, these only cover specific implementations, not on the
> > > > > basic theory or scheme of it, perhaps on specific equations. 
> > > > 
> > > > Umm, <speaking as LPF President> software patents almost never only cover
> > > > specific implementations (ie object code). The issues are how fundamental
> > > > the patent is and how broad the patent claims are.  Do you have the patent
> > > > numbers for the subject patents?
> > > > 
> > > > BTW, one more word of software patent advice: Don't do patent searches,
> > > > unless you are patenting something.  Because having done a patent search
> > > > [and presumably thinking you've not found anything infringing] is actually
> > > > evidence against you for intentional infringement, which carries more
> > > > severe penalties.  Once you've admitted that you aren't [or just shouldn't
> > > > be] completely ignorant of the infringed patent, you better be sure you
> > > > are right. It is usually best to be completely ignorant of the patents so
> > > > any infringement is unintentional. [BTW this is an argument against the
> > > > patent system--it can't benefit the development of science and technology]
> > > > 
> > > > Another patent issue to be aware of: Some patent lawyers think that
> > > > possession of [free] software implementations of patented software
> > > > infringe on patents. I'll present a summary of both views as accurately as
> > > > I can.
> > > > 
> > > > Commercial and private usage for non-research purposes plainly does
> > > > infringe, but source code possession and research is not so clear.  For
> > > > example, the OpenSSL distribution before the RSA patents expired.  I don't
> > > > think it is the case that source code possession infringes, but its a view
> > > > in dispute and untested in court. My view is based on the notions: That
> > > > description of patented technology does not infringe; That you are allowed
> > > > to patent enhancements to prior-patents and the prior-patent holder cannot
> > > > prevent this; And that a working model must be available at the time of
> > > > patent submission---you cannot patent a hypothetical device.
> > > > 
> > > > There is an explicit right to have a description of the patented
> > > > technology and source code is descriptive of software patents. There must
> > > > also be an implicit right that you are that you can use the prior-patented
> > > > technology for research on an enhancement, and that you also must be
> > > > allowed to use the included prior-patented technology for submission of
> > > > your enhancement to the patent office for patenting of your enhancement.
> > > > Otherwise, you could not patent an enhancement without the prior-patent
> > > > holders' permission, which seems to violate the law allowing such
> > > > enhancements.
> > > > 
> > > > But as I said, there are expert lawyers with learned opinions who
> > > > disagree.  Their view is based on the notion that patent gives one an
> > > > absolute, exclusive right over the control of the technology during the
> > > > term of the patent. In other words, they have a right not to license, and
> > > > if they choose, a right to preventing entirely the private sector use of
> > > > the patented technology.  They would probably argue that if you haven't
> > > > submitted a patent application, your research isn't really research but
> > > > just private usage that they are entitled to prohibit. In verbal "banter"
> > > > with such lawyers, some denied entirely any implicit right to research,
> > > > which I thought a more dubious position. There is also an argument that
> > > > source code aids infringement, particularly binaries [This is also why I
> > > > find Kazaa, etc 'aiding' arguments so disturbing, besides other reasons].
> > > > There is some support for these views, and for non-trivial conflict in
> > > > court. So far, these views are untested. You should consult your lawyer
> > > > before deciding on a course of action which could put you at risk.  (And
> > > > of course, you should also support the LPF and help abolish software
> > > > patents. ;-)
> > > > 
> > > > I should add that Av8 Internet and a couple other sites went so far as to
> > > > mirror OpenSSL for research in the US before the RSA patents expired
> > > > (while using only a patent-licenced version). RSA did not react. However,
> > > > this does not conclusively mean anything.
> > > > 
> > > > So much for the 2005 patent lecture.... ;-)
> > > > 
> > > > 
> > > > 		--Dean
> > > > 
> > > > -- 
> > > > Av8 Internet   Prepared to pay a premium for better service?
> > > > www.av8.net         faster, more reliable, better service
> > > > 617 344 9000   
> > > > 
> > > > 
> > > > 
> > > > --
> > > > to unsubscribe send a message to [email-masked] with
> > > > the word 'unsubscribe' in a single line as the message text body.
> > > > archive: <http://ops.ietf.org/lists/namedroppers/>
> > > 
> > > 
> > 
> > -- 
> > Av8 Internet   Prepared to pay a premium for better service?
> > www.av8.net         faster, more reliable, better service
> > 617 344 9000   
> > 
> 
> 

-- 
Av8 Internet   Prepared to pay a premium for better service?
www.av8.net         faster, more reliable, better service
617 344 9000   

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: [email-masked]
Date: Wed, 7 Sep 2005 20:00:42 +0000

sure.  the filed IPR claims are here:

https://datatracker.ietf.org/public/ipr_search.cgi

--bill